import * as _nuxt_schema from '@nuxt/schema';
import { MeiliSearch } from 'meilisearch';

declare enum InstantSearchThemes {
  'reset',
  'algolia',
  'satellite',
}

interface ModuleOptions {
  hostUrl: string,
  searchApiKey: string,
  adminApiKey?: string,
  serverSideUsage?: boolean,
  instantSearch?: boolean | { theme: keyof typeof InstantSearchThemes },
  meilisearchConfig?: {
    placeholderSearch?: boolean,
    paginationTotalHits?: number,
    finitePagination?: boolean,
    primaryKey?: string,
    keepZeroFacets?: boolean
  }
}

declare module 'h3' {
  interface H3EventContext {
    serverMeilisearchClient?: MeiliSearch
  }
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
